Bug 1128003 - If we add JON 3.2.0 to JON 3.3 HA cluster installation never ends
Summary: If we add JON 3.2.0 to JON 3.3 HA cluster installation never ends
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Installer
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ER02
: JON 3.3.0
Assignee: Michael Burman
QA Contact: Jeeva Kandasamy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 05:53 UTC by Jeeva Kandasamy
Modified: 2014-12-11 13:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 13:59:15 UTC
Type: Bug


Attachments (Terms of Use)
installation-console-log (24.98 KB, text/x-log)
2014-08-08 05:53 UTC, Jeeva Kandasamy
no flags Details
attached installation log (13.92 KB, text/plain)
2014-09-17 14:11 UTC, Jeeva Kandasamy
no flags Details

Description Jeeva Kandasamy 2014-08-08 05:53:26 UTC
Created attachment 925079 [details]
installation-console-log

Description of problem:
Negative HA Test:
If we add JON 3.2.0 to JON 3.3 HA cluster installation never ends. It throws Cassandra version mismatch exception but running in infinite loop and says "Still waiting for server to initialize".

Version-Release number of selected component (if applicable):
JBoss Operations Network
Version : 3.3.0.DR01
Build Number : 6468454:dda0a47
GWT Version : 2.5.0
SmartGWT Version : 3.0p

and JON 3.2.0 GA

How reproducible:
always

Steps to Reproduce:
1. Create HA JON setup with JON 3.3 DR01
2. Add JON 3.2.0 GA in to JON 3.3 DR01 HA cluster


Actual results:
Running in infinite loop.

Expected results:
Should stop immediately and report the error properly.

Additional info: installation log is attached

Comment 1 Michael Burman 2014-08-19 13:27:58 UTC
Fixed in master (this bug is more universal than the description, but any error during rhq.ear installation was causing infinite loop, as the error was not catched):

commit f03575f1888abfee0552c24f1d6179c91331f19f
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Aug 19 16:25:58 2014 +0300

    [BZ 1128003] Abort installation if there is an error during the rhq.ear installation

Comment 2 Thomas Segismont 2014-08-28 09:19:49 UTC
Merged into release/jon3.3.x

commit 3ee07af5f2cbc5e0302b3e2cf04aa66270b7ae63
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Aug 19 16:25:58 2014 +0300

    (cherry picked from commit f03575f1888abfee0552c24f1d6179c91331f19f)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>

Comment 3 Simeon Pinder 2014-09-03 20:31:22 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194

Comment 5 Jeeva Kandasamy 2014-09-17 14:11:42 UTC
Created attachment 938487 [details]
attached installation log

Version 1: 
JBoss Operations Network
Version : 3.3.0.ER03
Build Number : 4aefe39:44e33a4
GWT Version : 2.5.0
SmartGWT Version : 3.0p


Version 2: 
JBoss Operations Network	
Version : 3.3.0.ER02
Build Number : 4fbb183:7da54e2
GWT Version : 2.5.0
SmartGWT Version : 3.0p

on error it's terminating the process.
log file is attached.


Note You need to log in before you can comment on or make changes to this bug.